﻿@model IEnumerable<Project_63135350.Models.Model_63135350.ProductImage_63135350>
@{
    ViewBag.Title = "Ảnh sản phảm";
    Layout = "~/Areas/Admin/Views/Shared/_LayoutEmpty.cshtml";


}
<style>
    .glImage {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
    }

        .glImage li {
            /*flex-direction:*/
            display: inline-block;
            position: relative;
        }

    .box-btn {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        text-align: center;
    }
</style>
<!-- Main content -->
<section class="content">

    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Ảnh sản phẩm</h3>
        </div>
        <div class="card-body">
            <ul class="glImage">
                @if (Model != null)
                {
                    foreach (var item in Model)
                    {
                        <li id="trow_@item.Id">
                            <img src="@item.Image" width="200" />
                            <div class="box-btn">
                                <a href="#" data-id="@item.Id" class="btn btn-sm btn-danger btnDelete"><i class="fa fa-trash"></i></a>
                                @if (item.IsDefault)
                                {
                                    <a href="#" data-id="@item.Id" class="btn btn-sm btn-success btnDefault"><i class="fa fa-check"></i></a>
                                }
                                else
                                {
                                    <a href="#" data-id="@item.Id" class="btn btn-sm btn-warning btnDefault">X</a>
                                }
                            </div>
                        </li>
                    }
                }
            </ul>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">

        </div>
        <!-- /.card-footer-->
    </div>
    <!-- /.card -->

</section>
<!-- /.content -->

<script>
    function BrowseServer(field) {
        var finder = new CKFinder();
        finder.selectActionFunction = function (fileUrl) {
            debugger;
            AddImage(@ViewBag.ProductID, fileUrl);
        };
        finder.popup();
    }
    function AddImage(id, url) {
        debugger;
        $.ajax({
            url: '/Admin/ProductImage_63135350/AddImage',
            type: 'POST',
            data: { ProductID: id, url: url },
            success: function (rs) {
                if (rs.Success) {
                    window.location.reload();
                }
            }
        });
    }
    $(document).ready(function () {
        $('body').on('click', '.btnDelete', function () {
            var id = $(this).data('id');
            var conf = confirm('ban có muốn xóa ảnh này không?');
            if (conf === true) {
                $.ajax({
                    url: '/Admin/ProductImage_63135350/Delete',
                    type: 'POST',
                    data: { id: id },
                    success: function (rs) {
                        if (rs.success) {
                            $('#trow_' + id).remove();
                        }
                    }
                });
            }
        });
    });
</script>